import request from '@/utils/request'

// 商品表列表
export function apiStoreProductLists(params: any) {
    return request.get({ url: '/store_product/storeproduct/lists', params })
}

// 添加商品表
export function apiStoreProductAdd(params: any) {
    return request.post({ url: '/store_product/storeproduct/add', params })
}

// 编辑商品表
export function apiStoreProductEdit(params: any) {
    return request.post({ url: '/store_product/storeproduct/edit', params })
}
// 商品状态
export function apiStoreProductStatus(params: any) {
    return request.post({ url: '/store_product/storeproduct/status', params })
}

// 删除商品表
export function apiStoreProductDelete(params: any) {
    return request.post({ url: '/store_product/storeproduct/delete', params })
}

// 商品表详情
export function apiStoreProductDetail(params: any) {
    return request.get({ url: '/store_product/storeproduct/detail', params })
}

// 复制商品到门店
export function apiStoreProductImport(params: any) {
    return request.post({ url: '/store_product/storeproduct/import', params })
}
// 复制商品到门店
export function apiStoreProductCopy(params: any) {
    return request.post({ url: '/store_product/storeproduct/copy', params })
}
